charts/apisix-ingress-controller/crds/ApisixConsumer.yaml [37:173]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                  properties:
                    basicAuth:
                      oneOf:
                        - required:
                            - value
                        - required:
                            - secretRef
                      properties:
                        secretRef:
                          properties:
                            name:
                              minLength: 1
                              type: string
                          required:
                            - name
                          type: object
                        value:
                          properties:
                            password:
                              minLength: 1
                              type: string
                            username:
                              minLength: 1
                              type: string
                          required:
                            - username
                            - password
                          type: object
                      type: object
                    hmacAuth:
                      oneOf:
                        - required:
                            - value
                        - required:
                            - secretRef
                      properties:
                        secretRef:
                          properties:
                            name:
                              minLength: 1
                              type: string
                          required:
                            - name
                          type: object
                        value:
                          properties:
                            access_key:
                              type: string
                            algorithm:
                              type: string
                            clock_skew:
                              type: integer
                            encode_uri_params:
                              type: boolean
                            keep_headers:
                              type: boolean
                            max_req_body:
                              type: integer
                            secret_key:
                              type: string
                            signed_headers:
                              items:
                                type: string
                              type: array
                            validate_request_body:
                              type: boolean
                          required:
                            - access_key
                            - secret_key
                          type: object
                      type: object
                    jwtAuth:
                      oneOf:
                        - required:
                            - value
                        - required:
                            - secretRef
                      properties:
                        secretRef:
                          properties:
                            name:
                              minLength: 1
                              type: string
                          required:
                            - name
                          type: object
                        value:
                          properties:
                            algorithm:
                              default: HS256
                              type: string
                            base64_secret:
                              default: false
                              type: boolean
                            exp:
                              default: 86400
                              type: integer
                            key:
                              minLength: 1
                              type: string
                            lifetime_grace_period:
                              default: 0
                              type: integer
                            private_key:
                              type: string
                            public_key:
                              type: string
                            secret:
                              type: string
                          required:
                            - key
                          type: object
                      type: object
                    keyAuth:
                      oneOf:
                        - required:
                            - value
                        - required:
                            - secretRef
                      properties:
                        secretRef:
                          properties:
                            name:
                              minLength: 1
                              type: string
                          required:
                            - name
                          type: object
                        value:
                          properties:
                            key:
                              minLength: 1
                              type: string
                          required:
                            - key
                          type: object
                      type: object
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



charts/apisix-ingress-controller/crds/ApisixConsumer.yaml [228:364]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                  properties:
                    basicAuth:
                      oneOf:
                        - required:
                            - value
                        - required:
                            - secretRef
                      properties:
                        secretRef:
                          properties:
                            name:
                              minLength: 1
                              type: string
                          required:
                            - name
                          type: object
                        value:
                          properties:
                            password:
                              minLength: 1
                              type: string
                            username:
                              minLength: 1
                              type: string
                          required:
                            - username
                            - password
                          type: object
                      type: object
                    hmacAuth:
                      oneOf:
                        - required:
                            - value
                        - required:
                            - secretRef
                      properties:
                        secretRef:
                          properties:
                            name:
                              minLength: 1
                              type: string
                          required:
                            - name
                          type: object
                        value:
                          properties:
                            access_key:
                              type: string
                            algorithm:
                              type: string
                            clock_skew:
                              type: integer
                            encode_uri_params:
                              type: boolean
                            keep_headers:
                              type: boolean
                            max_req_body:
                              type: integer
                            secret_key:
                              type: string
                            signed_headers:
                              items:
                                type: string
                              type: array
                            validate_request_body:
                              type: boolean
                          required:
                            - access_key
                            - secret_key
                          type: object
                      type: object
                    jwtAuth:
                      oneOf:
                        - required:
                            - value
                        - required:
                            - secretRef
                      properties:
                        secretRef:
                          properties:
                            name:
                              minLength: 1
                              type: string
                          required:
                            - name
                          type: object
                        value:
                          properties:
                            algorithm:
                              default: HS256
                              type: string
                            base64_secret:
                              default: false
                              type: boolean
                            exp:
                              default: 86400
                              type: integer
                            key:
                              minLength: 1
                              type: string
                            lifetime_grace_period:
                              default: 0
                              type: integer
                            private_key:
                              type: string
                            public_key:
                              type: string
                            secret:
                              type: string
                          required:
                            - key
                          type: object
                      type: object
                    keyAuth:
                      oneOf:
                        - required:
                            - value
                        - required:
                            - secretRef
                      properties:
                        secretRef:
                          properties:
                            name:
                              minLength: 1
                              type: string
                          required:
                            - name
                          type: object
                        value:
                          properties:
                            key:
                              minLength: 1
                              type: string
                          required:
                            - key
                          type: object
                      type: object
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



